Subject: Re: bug#6053: cp, ls, and mv bug: unknown error (252)

From: Eric Blake <[email-masked]>
Date: Mon, 09 Aug 2010 08:46:28 -0600

On 06/10/2010 08:12 AM, Pádraig Brady wrote:
> On 10/06/10 14:32, Eric Blake wrote:
>> On 06/10/2010 07:22 AM, Callahan, Patrick M. wrote:
>>>     if ((errno == ENOSYS || errno == EOPNOTSUPP)
>>>     ...
>>> You could get in a debugger and determine where
>>> to add "|| errno == 252" to solve what appears to be
>>> an HP-UX-and/or-cvfs-specific problem.
>>>
> Perhaps just changing to the more general ACL_NOT_WELL_SUPPORTED()
> for HPUX is appropriate? I.E. could you test the following coreutils
> patch Patrick?
> 
> I left the solaris and cygwin code doing the explicit errno checks,
> but suggest they also change to the more general check too.
> 
>  diff ../gnulib/lib/copy-acl.c gnulib/lib/copy-acl.c
> --- ../gnulib/lib/copy-acl.c    2010-03-03 11:23:22.000000000 +0000
> +++ gnulib/lib/copy-acl.c       2010-06-10 14:10:19.000000000 +0000
> @@ -420,7 +420,7 @@
> 
>        if (count < 0)
>          {
> -          if (errno == ENOSYS || errno == EOPNOTSUPP)
> +          if (ACL_NOT_WELL_SUPPORTED (errno))
>              {
>                count = 0;
>                break;
> @@ -455,7 +455,7 @@
>      {
>        int saved_errno = errno;
> 
> -      if (errno == ENOSYS || errno == EOPNOTSUPP)
> +      if (ACL_NOT_WELL_SUPPORTED (errno))
>          {
>            struct stat source_statbuf;
> 
> 

I haven't seen any response to this open issue - is this patch still
okay to apply?

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org